<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MeetingPointListResponse StructType
 * @subpackage Structs
 */
class MeetingPointListResponse extends AbstractStructBase
{
    /**
     * The MeetingPointListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $MeetingPointListRS;
    /**
     * Constructor method for MeetingPointListResponse
     * @uses MeetingPointListResponse::setMeetingPointListRS()
     * @param \StructType\JP_StaticDataRS $meetingPointListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $meetingPointListRS = null)
    {
        $this
            ->setMeetingPointListRS($meetingPointListRS);
    }
    /**
     * Get MeetingPointListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getMeetingPointListRS()
    {
        return $this->MeetingPointListRS;
    }
    /**
     * Set MeetingPointListRS value
     * @param \StructType\JP_StaticDataRS $meetingPointListRS
     * @return \StructType\MeetingPointListResponse
     */
    public function setMeetingPointListRS(\StructType\JP_StaticDataRS $meetingPointListRS = null)
    {
        $this->MeetingPointListRS = $meetingPointListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\MeetingPointListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
